Bug 444721 - Review Request: gtksourceview2-sharp - gtksourceview2 C# binding
Review Request: gtksourceview2-sharp - gtksourceview2 C# binding
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
Blocks: 443576 443578
  Show dependency treegraph
Reported: 2008-04-30 05:38 EDT by Paul F. Johnson
Modified: 2008-05-20 07:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-20 07:16:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2008-04-30 05:38:07 EDT
Spec URL: http://pfj.fedorapeople.org/gtksourceview2-sharp.spec
SRPM URL: http://pfj.fedorapeople.org/gtksourceview2-sharp-1.0-1.fc9.src.rpm
Description: gtksourceview2-sharp is a set of binding to enable C# users to use gtksourceview2
Comment 1 Dan Horák 2008-04-30 05:57:55 EDT
I think you should include the "number" somewhere into version or release. It
looks like Subversion or other version control revision number to me.
Comment 2 Paul F. Johnson 2008-04-30 06:16:53 EDT
True - however %{number}-1 may cause problems further up the chain if this is
version control system...
Comment 3 David Nielsen 2008-04-30 09:13:38 EDT
Okay I promised I would take this, here goes a first glance:

If it is a svn snapshot then the strongly prefered way to deal with this is
labelling the package as such. An example of the syntax can be seen here:

Mono specs need the following line:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha

Can you explain what the rm -rf % line is intended to accomplice?

Aside that rpmlint is silent and the spec is readable (though I would like
comments as always when you do sed magic to explain what you do, it makes it
easier for co-maintainers and people who care for your packages while you are on
vacation/sick to follow along).

Does not build in mock (fedora-devel-x86_64), needs to br gtk-sharp2-devel
instead of gtk-sharp-devel.
Comment 4 David Nielsen 2008-05-03 02:40:42 EDT
Comment 5 Paul F. Johnson 2008-05-06 06:48:06 EDT
Um - updated version already up!

Comment 6 David Nielsen 2008-05-06 07:43:28 EDT
Just so we are absolutely clear, Paul you need to update the bug report so the
reviewer can see you made updates, it is not my responsibility to hit your
fedorapeople space periodically to see if you made updates.

Comment 7 Paul F. Johnson 2008-05-06 08:08:16 EDT
Thanks - I did email back to BZ when your comments were returned. Dunno what
Comment 8 Paul F. Johnson 2008-05-06 08:09:02 EDT
New Package CVS Request
Package Name: gtksourceview2-sharp
Short Description: mono bindings for gtksourceview2
Owners: pfj
Branches: f8, f9
InitialCC: pfj
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-06 12:23:26 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.